/**
 * Created by SunQian on 2017/6/27.
 */

var vm;
var componentParentComment = {
    template: "#parent-comment-template",
    props: [ "data" ],
    methods: {
        init: function() {
            /** 处理评论表情 **/
            replaceCommentFace();
        },
        onShowMoreParentCommentClick: function( commentId, commentIds ) {
            /** 显示全部回复楼层 **/
            onClickMoreCommentReply( commentId, commentIds );
        },
        onClickContentImage: function( index, url, imageList ) {
            /** 打开评论大图 **/
            onClickCommentImage( index, url, imageList );
        }
    },
    updated: function() { this.init(); },
    mounted: function() { this.init(); }
};
Vue.component( "parent-comment", componentParentComment );

/**
 Android通知页面调用getBody方法，获得详细页JSON。
 因为Android直接传值，遇到特殊字符会有乱码。所以需要页面主动调用返回值。
 IOS没有这个问题。
 **/
function setBody( jsonString, themeColor ) {
    var detail;
    if( ( null == jsonString || "" == jsonString ) && window.java && typeof window.java.getBody == "function" ) {
        jsonString = window.java.getBody();
        detail = JSON.parse( jsonString );
    }
    else detail = jsonString;
    // alert(JSON.stringify(detail.commentList))
    /** 处理评论盖楼数据，之后正式初始化Vue **/
    loopCommentIndex = -1;
    loopParentComment( detail.commentList, function( commentList ) {
        /** 初始化数据 **/
        vm = new Vue( {
            el: ".base",
            data: {
                title: detail.title,
                subtitle: detail.subtitle,
                source: detail.source,
                // 来源 logo 地址
                sourceLogoUrl: detail.sourceLogoUrl || "",
                publishTime: detail.publishTime,
                editor: detail.editor || "",
                reporter:detail.reporter || "",
                correspondent: detail.correspondent || "",
                allowComment: detail.allowComment,
                topCount: detail.topCount || 0,
                content: detail.text,
                showShare: detail.templateStyle.isSupportShare == true ? 1 : 0,
                showAd: detail.templateStyle.isSupportAd == true ? 1 : 0,
                showPraise: detail.templateStyle.isSupportThumbup == true ? 1 : 0,
                showComment: detail.templateStyle.isSupportLatestComment == true ? 1 : 0,
                showRelative: detail.templateStyle.isSupportRelatedNews == true ? 1 : 0,
                commentNum: detail.templateStyle.latestCommentsCount,
                relativeNum: detail.templateStyle.relatedNewsCount,
                commentList: detail.commentList,
                relatedList: detail.relatedList,
                adList: detail.ads,
                publicADs: detail.publicAds || [],
                selfMediaDescription: detail.selfMediaDescription || '',
                vote: detail.vote,
                showVoteResult: false,
                voteTotalCount: 0,
                /** 是否是自媒体用户发布内容 **/
                isWeMedia: detail.SelfMediaFre.isSelfMediaFre,
                /** 自媒体用户昵称 **/
                weMediaNick: detail.SelfMediaFre.selfMediaFreChannelName || "",
                /** 自媒体用户头像 **/
                weMediaPortrait: detail.SelfMediaFre.logoUrl || "./images/media-default-image.png",
                /** 是否订阅自媒体 **/
                weMediaSubscribed: detail.SelfMediaFre.subscribeStatus || false,
                /** 是否订阅自媒体 **/
                weMediaChannelId: detail.SelfMediaFre.selfMediaFreChannelId || 0,
                /** 文章时候否点过赞了 **/
                isToped: false
            },
            methods: {
                init: function() {
                    /** 处理正文中段首空格占位 **/
                    replaceNBSP();
                    /** 处理正文中的图片点击放大 **/
                    addImgListener();
                    /** 处理正文中的内链点击 **/
                    addContentLinkListener();
                    /** 处理正文中的视频 **/
                    replaceVideo();
                    /** 处理正文音频 **/
                    replaceAudio();
                    /** 强制处理图片、表格、内链 **/
                    formatContent();
                    /** 评论表情替换 **/
                    replaceCommentFace();
                    /** 处理主体颜色 **/
                    themeColor = themeColor || "#DF3435";
                    $( ".theme_color" ).css( "color", themeColor );
                    $( ".theme_back" ).css( "background-color", themeColor );
                    $( ".theme_border" ).css( "border-color", themeColor );
                },
                showMoreComment: function() {
                    /** 更多评论 **/
                    onClickMoreComment();
                },
                onClickCommentPraise: function( commentId, commentTopCount ) {
                    /** 评论点赞 **/
                    onClickTopComment( commentId, commentTopCount );
                },
                onClickCommentReply: function( commentId ) {
                    /** 评论回复 **/
                    onClickReplyComment( commentId );
                },
                onClickContentImage: function( index, url, imageList ) {
                    /** 打开评论大图 **/
                    onClickCommentImage( index, url, imageList );
                },
                onPraiseClick: function() {
                    /** 文章点赞 **/
                    onClickTop();
                },
                onRelatedClick: function( index, content ) {
                    /** 点击相关新闻 **/
                    onClickRelatedContent( content.contentId );
                },
                onClickReportContent: function() {
                    /** 点击相关新闻 **/
                    onClickReportContent();
                },
                onAdClick: function( index, ad ) {
                    /** 点击相关新闻 **/
                    onClickAd( ad.adId );
                },
                onShareClick: function( type ) {
                    /** 点击分享 **/
                    if( type == "wx" ) onClickShareToMoments();
                    if( type == "moments" ) onClickShareToWeiXin();
                    if( type == "more" ) onClickShareToMore();
                    if( type == "qq" ) onClickShareToQQ();
                    if( type == "qzone" ) onClickShareToQZone();
                    if( type == "sina" ) onClickShareToSina();
                },
                onVoteItemChange: function( event ) {
                    /** 检测投票多选限制选中项数量 **/
                    var me = this;
                    if( event.target.checked
                        && me.vote.multiselect == 1
                        && me.vote.multiselectNumber > 0
                        && me.vote.multiselectNumber < $( ".vote" ).find( "input:checked" ).length ) {
                        alert( "最多可选择" + me.vote.multiselectNumber + "项" );
                        event.target.checked = false;
                    }
                },
                onVoteSubmitClick: function() {
                    /** 提交投票 **/
                    var me = this, itemIds = [];
                    $( ".vote" ).find( "input:checked" ).each( function( i, ele ) { itemIds.push( ele.value ); } );
                    onClickVoteSubmit( me.vote.voteId, itemIds.toString(), me.vote.drawRaffleId );
                },
                getVotePerLabel: function( count ) {
                    var me = this;
                    return Math.ceil( count * 10000 / me.voteTotalCount ) / 100 + "%";
                },
                subscribeWeMedia: function() {
                    /** 订阅自媒体 **/
                    onClickSubscribeWeMedia(this.weMediaChannelId);
                },
                onWeMediaClick: function() {
                    /** 点击自媒体 **/
                    onClickWeMediaDetail(this.weMediaChannelId);
                }
            },
            updated: function() {
                var me = this; me.init();
            },
            mounted: function() {
                /** 显示页面 **/
                $( ".loading" ).remove();
                $( ".base" ).removeClass( "off" );
                /** 初始化 **/
                var me = this;
                me.init();
                /** 广告滑动设置 **/
                new Swiper( ".swiper-container", {
                    pagination: ".swiper-pagination",
                    paginationClickable: true,
                    slidesPerView: 1,
                    spaceBetween: 0,
                    loop: me.adList.length > 1,
                    allowSwipeToNext : me.adList.length > 1,
                    allowSwipeToPrev : me.adList.length > 1,
                    autoplay: 2500,
                    autoplayDisableOnInteraction: false,
                    onClick: function( swiper, event ) { 
                        var index = ( swiper.activeIndex - 1 ) % me.adList.length;
                        index = index>0 ? index : 0;
                        me.onAdClick( index, me.adList[index] );
                    }
                } );
                new Swiper( ".swiper-container1", {
                    pagination: ".swiper-pagination",
                    paginationClickable: true,
                    slidesPerView: 1,
                    spaceBetween: 0,
                    loop: me.publicADs.length > 1,
                    allowSwipeToNext : me.publicADs.length > 1,
                    allowSwipeToPrev : me.publicADs.length > 1,
                    autoplay: 2500,
                    autoplayDisableOnInteraction: false,
                    onClick: function( swiper, event ) {
                        var index = ( swiper.activeIndex - 1 ) % me.publicADs.length;
                        index = index>0 ? index : 0;
                        me.onAdClick( index, me.publicADs[index] );
                    }
                } );
            }
        } );
    } );
}




/** 处理评论盖楼数据，之后正式初始化Vue **/
var loopCommentIndex = -1;
function loopParentComment( list, callback ) {
    if( 0 == list.length ) { callback( [] ); return; }
    if( ++loopCommentIndex == list.length ) { callback( list ); return; }
    var comment = list[loopCommentIndex];
    var parentList = comment.parent.parentList;
    /** 楼层数多的时候，展示3条（1、2、more、n）和查看更多楼层。因为parentIds中包含当前评论的id，所以要-1获取楼层数 **/
    var treeLength = comment.parent.parentIds.split( "," ).length - 1;
    var showMoreButton = treeLength > 3 && parentList.length < treeLength;
    var pIndex = parentList.length;
    function loop( parentData ) {
        if( --pIndex < 0 ) { loopParentComment( list, callback ); return; }
        /** 起始楼层序号。
         * 全部展开，所有的按照楼层显示序号。
         * 折叠，显示1、2、点击查看更多楼层、n （ n表示全部楼层数，且n > 3 ）
         **/
        parentData.parentData = parentList[pIndex];
        parentData.parentData.rowNum = pIndex + 1;
        if( pIndex == parentList.length - 1 && showMoreButton ) {
            parentData.parentData.rowNum = treeLength;
            parentData.parentData.parentData = { isMore:true, comment:"显示全部楼层", commentId: comment.id, commentIds: comment.parent.parentIds };
            loop( parentData.parentData.parentData );
        }
        else {
            loop( parentData.parentData );
        }
    }
    loop( comment );
}



/** 处理正文中的段首占位空格 **/
function replaceNBSP() {
    if(  $( ".content" ).length == 0 ) return;
    var nodes = $( ".content" ).get(0).childNodes;
    if( nodes )
        for( var i = 0; i < nodes.length; i++ ) {
            var innerHTML = nodes[i].innerHTML;
            if( innerHTML ) {
                var str = "";
                for( var s = 0; s < innerHTML.length; s++ ) {
                    if( innerHTML[s] == " " )
                        str += "&nbsp;";
                    else {
                        if( s > 0 ) innerHTML = innerHTML.replace( innerHTML.substr( 0, s ), str );
                        break;
                    }
                }
                nodes[i].innerHTML = innerHTML;
            }
        }
}




/** 处理正文中的内链点击 **/
function addContentLinkListener() {
    $( ".content label[data-plugin-type='content']" ).each( function( i, lab ) {
        lab.onclick = onClickContentLink;
    } );
}




/** 处理正文中的图片点击放大 **/
function addImgListener() {
    $( ".content img" ).each( function( i, img ) {
        if( img.getAttribute( "data-plugin-type" == "video" ) ) return true;
        img.setAttribute( "data-index", i );
        img.onclick = onClickContentImage;
    } );
}




function stopOtherVideos (that) {
    const videos = document.getElementsByTagName("video");
    for(let i=0;i<videos.length;i++){
        videos[i].addEventListener("play",function (that) {
            const videos = document.getElementsByTagName("video");
            for(let i=0;i<videos.length;i++){
                tagss = that;
                if(videos[i].id != that.path[0].id){
                    videos[i].pause();
                }
            }
        },false);
    }
}
var  aaa ;
/** 处理正文视频 **/
function replaceVideo() {
    /**
     <section data-plugin-type='video' style='text-align:center;margin-bottom:1em;'>
     <img src='节目图片' data-value='节目JSON' style='max-width:100%;height:auto;margin:10px auto;'></img>
     </section>
     **/
    /**
     {
        id: [ Integer ] 节目ID,
        createdTime: [ String ] 创建时间，yyyy-MM-dd hh:mm:ss,
        programName: [ String ] 节目名称,
        image: [ String ] 节目缩略图,
        video: [ Object ] 节目下视频
        {
            videoId: [ Integer ] 视频ID,
            displayName: [ String ] 视频名称,
            videoImage: [ String ] 视频图片,
            streamList: [ Array ] 码流列表
            [
                {
                    streamId: [ Integer ] 码流名称ID,
                    streamDisplayName: [ String ] 码流显示名称
                    url: [ String ] 完整播放地址,
                    isDefault: [ Integer ] 默认播放1、是；0、否
                }
            ]
        }
     }
     **/
    /*$( "section[data-plugin-type='video']" ).each( function( i, section ) {
        $( section ).find( "div" ).replaceWith( "<div class='video_play_btn'></div>" );
        $( section ).find( ".video_play_btn" ).unbind( "click" );
        $( section ).find( ".video_play_btn" ).bind( "click", function( event ) {
            var program = JSON.parse( $( event.target ).parent( "section" ).find( "img" ).get(0).getAttribute( "data-value" ) );
            if( null == program ) return;
            var video = program.video;
            if( null == video ) return;
            if( null == video.streamList ) return;
            if( 0 == video.streamList.length ) return;
            var stream = video.streamList[0];
            for( var s = 0; s < video.streamList.length; s++ )
                if( video.streamList[s].isDefault == 1 )
                    stream = video.streamList[s];

            onClickVideo( stream.url );
        } );

    } );*/
    $( "section[data-plugin-type='video']" ).each( function( i, section ){
        const program = JSON.parse($(this).attr("data-value"));
        aaa = program
        if( null == program ) return;
        var video = program.video;
        if( null == video ) return;
        if( null == video.streamList ) return;
        if( 0 == video.streamList.length ) return;
        var stream = video.streamList[0];
        for( var s = 0; s < video.streamList.length; s++ )
            if( video.streamList[s].isDefault == 1 )
                stream = video.streamList[s];
        /*$( section ).replaceWith( "<video id='player"+i+"' controls x5-playsinline='' playsinline='' webkit-playsinline='true' preload='auto' style='width:640px;height:auto;max-width:100%;background-color:#333333;margin:auto;display:none;'" + " poster='" + program.image + "' src='" + stream.url + "'></video>" );
        console.log(videoinfo);*/
        $(this).html("<video id='player"+i+"' controls x5-playsinline='' controlslist='nodownload' playsinline='' webkit-playsinline='true' preload='none' style='width:640px;height:auto;max-width:100%;background-color:#000000;margin:auto;display:block;'" + " poster='" + program.image + "' src='" + stream.url + "'></video>" )
        stopOtherVideos("player"+i);
    })
}




/** 处理正文音频 **/
function replaceAudio() {
    $( "embed[data-plugin-type='audio']" ).each( function( index, embed ) {
        var program = JSON.parse( decodeURIComponent( embed.getAttribute( "data-value" ) ) );
        console.dir( program );
        var url = program.mmsURL + "/amc/getProgramVideoPlayUrl.jspa?callback=?";
        $.getJSON( url, { programId:program.id, programVideoId:program.video.videoId, videoType:"PC" }, function( res ) {
            var stream = res.data.streamList[0];
            $( embed ).replaceWith( "<audio controls src='" + stream.url + "'></audio>" );
        } );
    } );
}




/** 点击播放视频 **/
function onClickVideo( url ) {
    /*if ( window.java ){
        window.java.onClickVideo( url );
    }else{
        window.webkit.messageHandlers.onClickVideo.postMessage(url);
    }*/
    // else window.location = "(" + url + "(playVideo";
}




/** 点击显示大图 **/
function onClickContentImage( event ) {
    var index = this.getAttribute( "data-index" );
    var list = new Array();
    //$( ".content img[data-plugin-type='image']" ).each( function( i, img ) {
    $( ".content" ).find( "img" ).each( function( i, img ) {
        list.push( img.src );
    } );
    var url = list[index];
    if( !url ) url = this.src;
    if ( window.java ){
        window.java.onClickImage( "[" + list.toString() + "]", url, index );
    }else{
        window.webkit.messageHandlers.onClickImage.postMessage({"imgList":list.toString(),"index":index});
    }
    // else window.location = "(" + list.toString() + "(" + url + "(" + index +"(onClickImage";
}



/** 点击通知app打开内链 **/
function onClickContentLink() {
    var id = this.getAttribute( "data-id" );
    var originalId = this.getAttribute( "data-original-id" );
    var contentType = this.getAttribute( "data-content-type" );

    if ( window.java ) {
        window.java.onClickContentLink( id, originalId, contentType );
    }else{
        window.webkit.messageHandlers.onClickContentLink.postMessage({"id":id,"originalId":originalId,"contentType":contentType});
    }
    // else window.location = "(" + id + "(" + originalId + "(" + contentType + "(onClickContentLink";
}



/** 强制处理图片、表格、内链 **/
function formatContent() {
    $( ".content img, .content table" ).each( function( i, elem ) {
        if( elem.getAttribute( "data-plugin-type" ) == "video" ) return true;
        elem.style.maxWidth = "100%";
        elem.style.minWidth = "auto";
        elem.style.width = "auto";
        elem.style.height = "auto";
        elem.style.margin = "0";
    } );
    $( "section[data-plugin-type]").css( "text-indent", "0" );
    $( "section[data-plugin-type]" ).find( "center" ).css( "text-indent", "0" );
}




/** 评论表情替换 **/
function replaceCommentFace() {
    $( ".comment" ).find( "emo" ).each( function( i, emo ) {
        $( emo ).replaceWith( "<img src='images/face/" + emo.innerHTML.split( "|" )[0] + ".gif'/>" );
    } );
}




/** 评论盖楼 **/
function loopReply( reList, selector, showMore, createComplete ) {
    var r = reList.length;
    function loop( container )
    {
        if( --r < 0 ) {
            if( showMore )
                $( selector ).before( "<div class='reply_more'>查看更多回复</div>" );
            createComplete(); return;
        }
        if( waitting ) { return; }
        var re = reList[r];
        var className = "reply";
        if( r == reList.length - 1 ) className += " reply_base";
        if( r == 0 ) className += " reply_inner";
        var str = "";
        str += "<div class='" + className + "'>";
        str +=		"<label class='reply_num'>" + re.number + "</label>";
        str +=		"<label class='reply_nick'>" + re.nick + "</label>";
        str +=		"<div class='reply_cmt'>" + re.comment + "</div>";
        str += "</div>";
        container.before( str );
        container = container.parent().find( ".reply .reply_num" );
        loop( container );
    }
    loop( $( selector ) );
}




/** 点击相关内容 **/
function onClickRelatedContent( id ) {
    if ( window.java ){
        window.java.onClickRelatedContent( id );
    }else{
        window.webkit.messageHandlers.gotonetNews.postMessage(id);
    }
    // else window.location = "(" + id + "(gotonetNews";
}


/** 点击举报按钮 **/
function onClickReportContent() {
    if ( window.java ){
        window.java.onClickReportContent();
    }else{
        window.webkit.messageHandlers.onClickReportContent.postMessage("");
    }
}


/** 广告点击 **/
function onClickAd( adId ) {
    debugger
    if ( window.java ) {
        window.java.onClickAd( adId );
    } else{
        window.webkit.messageHandlers.onClickAd.postMessage(adId);
    }
//     window.location = "(" + adId + "(onClickAd";
}




/** 查看更多评论评论列表 **/
function onClickMoreComment() {
    if ( window.java ) {
        window.java.onClickMoreComment();
    }else{
        window.webkit.messageHandlers.moreComments.postMessage("");
    }
    // else window.location = "moreComments";
}




/** 评论点赞 **/
function onClickTopComment( commentId, topCount ) {// setCommentTop( commentId, 123445 ); return;
    if ( window.java ){
        window.java.onClickTopComment( commentId );
    }else{
        window.webkit.messageHandlers.onClickTopComment.postMessage({"commentId":commentId,"topCount":topCount});
    }
    // else window.location = "(" + commentId + "(" + topCount + "(onClickTopComment";
}




/** 评论回复 **/
function onClickReplyComment( commentId ) {
    if ( window.java ){
        window.java.onClickReplyComment( commentId );
    }else{
        window.webkit.messageHandlers.onClickReplyComment.postMessage(commentId);
    }
    // else window.location = "(" + commentId + "(onClickReplyComment";
}




/** 打开评论大图 **/// --------废弃
function onClickCommentImage( index, url, imageList ) {
    var list = [];
    for( var i = 0; i < imageList.length; i++ ) list.push( imageList[i].pictureUrl );
    if ( window.java ){
        window.java.onClickCommentImage( "[" + list.toString() + "]", url, index );
    }else{
        window.webkit.messageHandlers.onClickCommentImage.postMessage({index: index,url: url,imageList: imageList});
    }
    // else window.location = "(" + list.toString() + "(" + url + "(" + index +"(onClickCommentImage";
}




/** 显示全部回复楼层 **/
function onClickMoreCommentReply( commentId, commentIds ) {
    //var url = "http://120.26.128.238:8080/amc/client/listCommentByCommentIds?callback=?";
    //$.getJSON( url, { commentIds: commentIds }, function( res ) { setMoreCommentReply( commentId, res ); } );
    //return;
    if ( window.java ){
        window.java.onClickMoreCommentReply( commentId, commentIds )
    }else{
        window.webkit.messageHandlers.onClickMoreCommentReply.postMessage({"commentId":commentId,"commentIds":commentIds});
    };
    // else window.location = "(" + commentId + "(" + commentIds + "(onClickMoreCommentReply";
}




/** 文章点赞 **/
function onClickTop() {// setTop( 10000 ); return;
    // vm.$data.isToped = !vm.$data.isToped;
    if ( window.java ){
        window.java.onClickTop()
    }else{
        window.webkit.messageHandlers.top.postMessage("");
    }
    // else window.location = "top";
}




/** 分享到微信盆友圈 **/
function onClickShareToWeiXin() {
    if ( window.java ) {
        window.java.onClickShareToWeiXin()
    }else{
        window.webkit.messageHandlers.shareClick.postMessage("wxpy")
    }
    // else window.location = "wxpy";
}




/** 分享到微信好友 **/
function onClickShareToMoments() {
    if ( window.java ) {
        window.java.onClickShareToMoments();
    }else{
        window.webkit.messageHandlers.shareClick.postMessage("wx")
    }
    // else window.location = "wx";
}




/** 分享到QQ **/// ----------废弃
function onClickShareToQQ() {
    if ( window.java ) {
        window.java.onClickShareToQQ();
    }else{
        window.webkit.messageHandlers.shareClick.postMessage("qq")
    }
}




/** 分享到QQ空间 **/// ----------废弃
function onClickShareToQZone() {
    if ( window.java ) {
        window.java.onClickShareToQZone();
    }else{
        window.webkit.messageHandlers.shareClick.postMessage("qzone")
    }
}




/** 分享到新浪微博 **/
function onClickShareToSina() {
    if ( window.java ) {
        window.java.onClickShareToSina();
    }else{
        window.webkit.messageHandlers.shareClick.postMessage("sina")
    }
}




/** 更多分享 **/// ------------废弃
function onClickShareToMore() {
    if ( window.java ) window.java.onClickShareToMore();
    else window.location = "onClickShareToMore";
}


/** 跳转到对应的投票详情 **/
function jumpToVoteContentById() {
    var voteId = vm.$data.vote.voteId;
    if(window.java){
        window.java.jumpToVoteContentById(voteId)
    }else{
        window.webkit.messageHandlers.jumpToVoteContentById.postMessage(voteId);
    }
}



/** 提交投票 **/
function onClickVoteSubmit( voteId, itemIds, drawRaffleId ) { //setVoteResult( JSON.stringify( { vote: vm.$data.vote } ) ); return;
    if ( window.java ) {
        window.java.submitVote( voteId, itemIds, drawRaffleId );
    }else {
        window.webkit.messageHandlers.submitVote.postMessage({"voteId":voteId,"itemIds":itemIds});
    }
    // else window.location = "(" + voteId + "(" + itemIds + "(" + drawRaffleId + "(submitVote";
}




/** 单独设置顶数量 **/
function setTop( topCount ) {
    if( vm ) vm.$data.topCount = topCount;
    changedToTop();
    /** 显示+1动画 **/
    /*var span = "<span class='zan_info'>+1</span>";
    $( ".center" ).append( span );
    setTimeout( function(){ $(".zan_info").css( "top", -30 ); }, 100 );
    setTimeout( function(){ $(".zan_info").css( "opacity", 0.2 ); }, 100 );
    setTimeout( function(){ $(".zan_info").remove(); }, 600 );*/
}

/** 文档设置为点赞过后的状态 **/
function changedToTop() {
    vm.$data.isToped = true;
}


/** 评论点赞数量 **/
function setCommentTop( commentId, topCount ) {
    if( vm ) {
        for( var i = 0; i < vm.$data.commentList.length;  i++ )
            if( vm.$data.commentList[i].id == commentId )
                vm.$data.commentList[i].topCount = topCount;
    }
}




/** 设置投票结果 **/
function setVoteResult( jsonString ) {
    var result;
    if( window.java && typeof window.java.getVoteResult == "function" ) {
        jsonString = window.java.getVoteResult();
        result = JSON.parse( jsonString );
    }
    else result = jsonString;
    var vote = result.vote;
    var voteTotalCount = 0;
    for( var i = 0; i < vote.itemList.length; i++ ) voteTotalCount += Number( vote.itemList[i].count );
    if( vm ) {
        vm.$data.voteTotalCount = Math.max( voteTotalCount, 1 );
        vm.$data.vote = vote;
        vm.$data.showVoteResult = true;
    }
}




/** 设置更多评论楼层 **/
function setMoreCommentReply( commentId, jsonString ) {
    var result;
    if( window.java && typeof window.java.getMoreCommentReply == "function" ) {
        jsonString = window.java.getMoreCommentReply();
        result = JSON.parse( jsonString );
    }
    else result = jsonString;
    /** 列表最后一项数组，是当前要展现的评论的所有楼层（包括当前评论） **/
    var list = result.data.list[ result.data.list.length - 1 ];
    var comment, index;
    if( vm ) {
        for( var i = 0; i < vm.$data.commentList.length; i++ )
            if( commentId == vm.$data.commentList[i].id ) index = i;
        comment = vm.$data.commentList[index];
        if( comment ) {
            /** 去掉评论楼层中的当前评论 **/
            comment.parent.parentList = list.slice( 0, list.length - 1 );
            loopCommentIndex = -1;
            loopParentComment( [ comment ], function( commentList ) {
                vm.$data.commentList[index] = commentList[0];
            } );
        }
    }
}




/** 客户端调用，强制停止所有音视频播放 **/
function stopMedia() {
    $( "video, audio" ).each( function( index, media ) {
        media.pause();
    } );
}




/** 订阅自媒体 **/
function  onClickSubscribeWeMedia(id) {
    /** 通知客户端自媒体订阅（取消订阅） **/
    if ( window.java ) {
        window.java.subscribeWeMedia(id);
    }else{
        window.webkit.messageHandlers.subscribeWeMedia.postMessage(id);
    }
}




/** 点击自媒体 **/
function  onClickWeMediaDetail(id) {
    /** 通知客户端打开自媒体主页 **/
    if ( window.java ) {
        window.java.onClickWeMediaDetail(id);
    }else{
        window.webkit.messageHandlers.onClickWeMediaDetail.postMessage(id);
    }
    // else window.location = "onClickWeMediaDetail";
}

/*修改已订阅状态*/
function changeWeMediaSubscribeStatus( status ) {
    if(typeof Number(status) === 'number') status = Number(status);
    vm.$data.weMediaSubscribed = status ? true : false;
}


/** 设置自媒体信息 **/
function setWeMedia( nickName, portrait, subscribed ) {
    nickName = nickName || "";
    portrait = portrait || "images/user_default.png";
    subscribed = 1 == ( Number( subscribed || 0 ) );
    if( "" == nickName ) nickName = "自媒体";
    if( "" == portrait ) portrait = "";
    if( vm ) {
        vm.$data.isWeMedia = 1;
        vm.$data.weMediaNick = nickName; // 自媒体名称
        vm.$data.weMediaPortrait = portrait || "../images/media_default_image.png"; // 自媒体图标
        vm.$data.weMediaSubscribed = subscribed; //是否已经订阅 1 已关注 0 未关注
    }
}

/** 提供客户端调用修改页面文字大小 **/
/*
* @params
* fontSize： 文字比例（接受客户端比例为90,110,120）
*/
function changeBodyFontSize( fontSize ){
    if(fontSize == 90){
        document.getElementsByTagName("body")[0].style.fontSize = "14px";
    }else if(fontSize == 110){
        document.getElementsByTagName("body")[0].style.fontSize = "18px";
    }else if(fontSize == 120){
        document.getElementsByTagName("body")[0].style.fontSize = "20px";
    }else{
        document.getElementsByTagName("body")[0].style.fontSize = "16px";
    }
}